#include "MyDialog.h"
#include "ui_MyDialog.h"

MyDialog::MyDialog(QWidget *parent)
	: QDialog(parent)
	, ui(new Ui::MyDialog)
	, current_index()
{
	ui->setupUi(this);
	connect( ui->plainTextEdit, SIGNAL( textChanged() )
		, this, SLOT( onTextChanged() ) );
}

MyDialog::~MyDialog()
{
	delete ui;
}

void MyDialog::inputData ( const QByteArray & data )
{
	QString str = ui->plainTextEdit->toPlainText()
		+ data;
	current_index = str.count();
	ui->plainTextEdit->setPlainText( str );
};

void MyDialog::onTextChanged ()
{
	QString str = ui->plainTextEdit->toPlainText();
	if ( str.count() > current_index )
		emit dataOutputted( str.mid( current_index ).toAscii() );
	current_index = str.count();
};
