#ifndef PROCESSMANAGER_H
#define PROCESSMANAGER_H

#include <QObject>
#include <QProcess>

class ProcessManager : public QObject
{
	Q_OBJECT
private:
	QStringList proc_files;
	QProcess * process;
	int current_proc;

public:
	explicit ProcessManager ( QObject *parent = 0 );
	virtual ~ProcessManager ();

	void append ( const QString & proc_file );
	void start ();

protected slots:
	void nextCurrentProc ();
	void onError ();
	void onReadyRead ();

public slots:
	void outputData ( const QByteArray & data );

signals:
	void finished ();
	void dataInputted ( const QByteArray & );
};

#endif // PROCESSMANAGER_H
