#include <QtCore>
#include <QtGui>

#include "ProcessManager.h"
#include "MyDialog.h"

int main ( int narg, char ** varg )
{
	QApplication app( narg, varg );
	ProcessManager manager;
	app.connect( &manager, SIGNAL( finished() ), SLOT( quit() ), Qt::QueuedConnection );

	QTextCodec::setCodecForCStrings( QTextCodec::codecForName("IBM 866") );

	MyDialog dlg;
	dlg.show();

	dlg.connect( &manager, SIGNAL( dataInputted( QByteArray ) )
		, SLOT( inputData( QByteArray ) ) );
	manager.connect( &dlg, SIGNAL( dataOutputted( QByteArray ) )
		, SLOT( outputData( QByteArray ) ) );

	manager.append( "program.exe -a" );
	manager.append( "program.exe -b" );
	manager.append( "program.exe -c" );
	manager.start();

	return app.exec();
}
